Skip to main content
GET
/
payments
Browse Payments
curl --request GET \
  --url https://api.inprocess.world/api/payments
{
  "status": "success",
  "payments": [
    {
      "id": "3a803eeb-4089-4091-b6f2-d1c2b018e4d1",
      "amount": "1",
      "currency": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
      "transaction_hash": "0xda5f2c55cb20d77ac935ad132afc58c1bf0940927f9afc2991d87f2eaba1d2a6",
      "transferred_at": "2026-02-14T11:46:25+00:00",
      "moment": {
        "id": "94f64917-2160-4b68-980a-d98c059c5955",
        "token_id": "1",
        "uri": "ar://Tm83VA3goluv0g7oZKaRjOJBGi1KQo96Ptwn5m0T-i0",
        "collection": {
          "address": "0xee6c324c03287c28d81c88d11914aaf8505844ba",
          "chain_id": 8453,
          "creator": "0x551d219b790a7c45cb661ce59461d7646b631e6c"
        },
        "metadata": {
          "name": "Example Moment",
          "image": "ar://example-image-hash",
          "description": "An example moment",
          "content": {
            "mime": "audio/mp3",
            "uri": "ar://example-content-hash"
          }
        },
        "fee_recipients": [
          {
            "artist_address": "0x71ea0189673968499be6386f8febf37a7d3dacdc",
            "percent_allocation": 100
          }
        ]
      },
      "buyer": {
        "address": "0x1d78bff2d6b0a97fcc1401930b3c0158e25b1a2c",
        "username": null
      }
    }
  ],
  "pagination": {
    "total_count": 1,
    "page": 1,
    "limit": 20,
    "total_pages": 1
  }
}

Query Parameters

artist
string

Filter by artist address (payments for tokens created by this artist)

collector
string

Filter by collector address (payments where this address is the buyer)

chainId
integer

Filter by chain ID

audioOnly
boolean
default:false

If true, returns only payments for audio moments (default: false)

limit
integer
default:20

Number of records per page (max: 100, default: 20)

Required range: 1 <= x <= 100
page
integer
default:1

The page number to retrieve (default: 1)

Required range: x >= 1

Response

Successful response

status
enum<string>
required

Status of the request

Available options:
success,
error
payments
object[]
required

List of payment records

pagination
object
required

Pagination metadata